## silo-llnl 4.8

=== SiloWindows/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# SiloWindows/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (c) 1994 - 2010, Lawrence Livermore National Security, LLC.
# LLNL-CODE-425250.
# All rights reserved.
# 
# This file is part of Silo. For details, see silo.llnl.gov.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the disclaimer below.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the disclaimer (as noted
#      below) in the documentation and/or other materials provided with
#      the distribution.
#    * Neither the name of the LLNS/LLNL nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
# 
# THIS SOFTWARE  IS PROVIDED BY  THE COPYRIGHT HOLDERS  AND CONTRIBUTORS
# "AS  IS" AND  ANY EXPRESS  OR IMPLIED  WARRANTIES, INCLUDING,  BUT NOT
# LIMITED TO, THE IMPLIED  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A  PARTICULAR  PURPOSE ARE  DISCLAIMED.  IN  NO  EVENT SHALL  LAWRENCE
# LIVERMORE  NATIONAL SECURITY, LLC,  THE U.S.  DEPARTMENT OF  ENERGY OR
# CONTRIBUTORS BE LIABLE FOR  ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR  CONSEQUENTIAL DAMAGES  (INCLUDING, BUT NOT  LIMITED TO,
# PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS  OF USE,  DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER  IN CONTRACT, STRICT LIABILITY,  OR TORT (INCLUDING
# NEGLIGENCE OR  OTHERWISE) ARISING IN  ANY WAY OUT  OF THE USE  OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# This work was produced at Lawrence Livermore National Laboratory under
# Contract No.  DE-AC52-07NA27344 with the DOE.
# 
# Neither the  United States Government nor  Lawrence Livermore National
# Security, LLC nor any of  their employees, makes any warranty, express
# or  implied,  or  assumes  any  liability or  responsibility  for  the
# accuracy, completeness,  or usefulness of  any information, apparatus,
# product, or  process disclosed, or  represents that its use  would not
# infringe privately-owned rights.
# 
# Any reference herein to  any specific commercial products, process, or
# services by trade name,  trademark, manufacturer or otherwise does not
# necessarily  constitute or imply  its endorsement,  recommendation, or
# favoring  by  the  United  States  Government  or  Lawrence  Livermore
# National Security,  LLC. The views  and opinions of  authors expressed
# herein do not necessarily state  or reflect those of the United States
# Government or Lawrence Livermore National Security, LLC, and shall not
#
# Makefile.am --- automake input file for SiloWindows directory
#
#
# Modifications:
#   Mark C. Miller, Tue Aug  3 17:24:43 PDT 2010
#   Ensure a number of silo project files were included.

pkgdatadir = $(datadir)/silo
pkglibdir = $(libdir)/silo
pkgincludedir = $(includedir)/silo
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = SiloWindows
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /groups/visit/miller/silo/trunk/config/missing --run aclocal-1.10
AMTAR = ${SHELL} /groups/visit/miller/silo/trunk/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /groups/visit/miller/silo/trunk/config/missing --run autoconf
AUTOHEADER = ${SHELL} /groups/visit/miller/silo/trunk/config/missing --run autoheader
AUTOMAKE = ${SHELL} /groups/visit/miller/silo/trunk/config/missing --run automake-1.10
AWK = gawk
BROWSER = browser
BUNDLE_TARGET = 
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FULLPATH = /usr/bin/gcc
CFLAGS = -g -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement
CONFIG_CMD = ./configure 'LDFLAGS=-static' 'CFLAGS=-g' 'CXXFLAGS=-g' 'FC=g77' 'F77=g77' '--with-hdf5=/usr/gapps/silo/hdf5/1.8.4/i686_Linux_ELsmp/include,/usr/gapps/silo/hdf5/1.8.4/i686_Linux_ELsmp/lib' '--with-szlib=/usr/gapps/silo/szip/2.1/i686_Linux_ELsmp' '--disable-shared' '--prefix=/groups/visit/miller/silo/trunk/install'
CONFIG_DATE = Wed Sep 15 07:49:24 PDT 2010
CONFIG_USER = miller86@alderaan.llnl.gov
CPP = gcc -E
CPPFLAGS = -I/usr/gapps/silo/hdf5/1.8.4/i686_Linux_ELsmp/include 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g
CXX_FULLPATH = /usr/bin/g++
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = g77
FC = g77
FCFLAGS = -g -O2
FCLIBS =  -L/usr/lib/gcc-lib/i386-redhat-linux/3.2.3 -L/usr/lib/gcc-lib/i386-redhat-linux/3.2.3/../../.. -lfrtbegin -lg2c -lm
FC_FULLPATH = /usr/bin/g77
FFLAGS = -g -O2
FORTRAN = fortran
FPZIP = fpzip
GREP = /bin/grep
HDF5_DRV = hdf5_drv
HZIP = hzip
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -L/usr/gapps/silo/hdf5/1.8.4/i686_Linux_ELsmp/lib -L/usr/gapps/silo/szip/2.1/i686_Linux_ELsmp/lib -static -L/usr/gapps/silo/szip/2.1/i686_Linux_ELsmp/lib
LIBOBJS = 
LIBS = -lhdf5 -lsz -lsz -lz  -lm -lsz
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /groups/visit/miller/silo/trunk/config/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NETCDF = netcdf
OBJEXT = o
PACKAGE = silo
PACKAGE_BUGREPORT = visit-users@email.ornl.gov
PACKAGE_NAME = silo
PACKAGE_STRING = silo 4.8
PACKAGE_TARNAME = silo
PACKAGE_VERSION = 4.8
PATH_SEPARATOR = :
PDBP_DRV = 
PDB_DRV = pdb_drv
PRTDIAG = 
PYTHON = 
PYTHONMODULE = 
PYTHON_CPPFLAGS = 
PYTHON_EXEC_PREFIX = 
PYTHON_PLATFORM = 
PYTHON_PREFIX = 
PYTHON_VERSION = 
QT_BIN = /usr/lib/qt-3.1/bin
QT_CORE = libQtCore.so
QT_CORE_LIB = -lQtCore
QT_CXXFLAGS = -I$(QT_INCLUDE) -I$(QT_INCLUDE)/Qt -I$(QT_INCLUDE)/QtCore -I$(QT_INCLUDE)/QtGui
QT_GUI = libQtGui.so
QT_GUI_LIB = -lQtGui
QT_INCLUDE = /usr/lib/qt-3.1/include
QT_LDFLAGS = -L$(QT_LIB)
QT_LIB = /usr/lib/qt-3.1/lib
QT_LIBS = $(QT_CORE_LIB) $(QT_GUI_LIB)
QT_MOC = $(QT_BIN)/moc
RANLIB = ranlib
READLINE_LIBS = -lreadline -ltermcap 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
SILEX = 
SILO_DTYPPTR = void
SILO_DTYPPTR1 = void*
SILO_DTYPPTR2 = void*
SILO_VERS_MAJ = 4
SILO_VERS_MIN = 8
SILO_VERS_PAT = 
SILO_VERS_PRE = 
SILO_VERS_TAG = Silo_version_4_8
STRIP = strip
TAURUS = taurus
VERSION = 4.8
ZLIB = zlib
abs_builddir = /groups/visit/miller/silo/trunk/SiloWindows
abs_srcdir = /groups/visit/miller/silo/trunk/SiloWindows
abs_top_builddir = /groups/visit/miller/silo/trunk
abs_top_srcdir = /groups/visit/miller/silo/trunk
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_FC = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /groups/visit/miller/silo/trunk/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = 
pkgpythondir = 
prefix = /groups/visit/miller/silo/trunk/install
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = 
pythondir = 
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = \
./MSVC8/Tests/alltypes.vcproj\
./MSVC8/Tests/array.vcproj\
./MSVC8/Tests/array_f.vfproj\
./MSVC8/Tests/compression.vcproj\
./MSVC8/Tests/csg.vcproj\
./MSVC8/Tests/curve_f.vfproj\
./MSVC8/Tests/dirtest.vcproj\
./MSVC8/Tests/extface.vcproj\
./MSVC8/Tests/grab.vcproj\
./MSVC8/Tests/group_test.vcproj\
./MSVC8/Tests/largefile.vcproj\
./MSVC8/Tests/listtypes.vcproj\
./MSVC8/Tests/mat3d_3across.vcproj\
./MSVC8/Tests/mat_f.vfproj\
./MSVC8/Tests/merge_block.vcproj\
./MSVC8/Tests/mmadjacency.vcproj\
./MSVC8/Tests/multi_file.vcproj\
./MSVC8/Tests/multi_test.vcproj\
./MSVC8/Tests/multispec.vcproj\
./MSVC8/Tests/namescheme.vcproj\
./MSVC8/Tests/obj.vcproj\
./MSVC8/Tests/onehex.vcproj\
./MSVC8/Tests/oneprism.vcproj\
./MSVC8/Tests/onepyramid.vcproj\
./MSVC8/Tests/onetet.vcproj\
./MSVC8/Tests/partial_io.vcproj\
./MSVC8/Tests/point.vcproj\
./MSVC8/Tests/point_f.vfproj\
./MSVC8/Tests/polyzl.vcproj\
./MSVC8/Tests/quad.vcproj\
./MSVC8/Tests/rocket.vcproj\
./MSVC8/Tests/sami.vcproj\
./MSVC8/Tests/simple.vcproj\
./MSVC8/Tests/spec.vcproj\
./MSVC8/Tests/specmix.vcproj\
./MSVC8/Tests/subhex.vcproj\
./MSVC8/Tests/testall.vcproj\
./MSVC8/Tests/testall_f.vfproj\
./MSVC8/Tests/TestIncludes.vsprops\
./MSVC8/Tests/testpdb.vcproj\
./MSVC8/Tests/TestReadMask.vcproj\
./MSVC8/Tests/Tests.sln\
./MSVC8/Tests/twohex.vcproj\
./MSVC8/Tests/ucd1d.vcproj\
./MSVC8/Tests/ucd.vcproj\
./MSVC8/Tests/ucd_f.vfproj\
./MSVC8/Tests/ucdsamp3.vcproj\
./MSVC8/Tests/version.vcproj\
./MSVC8/Tests/wave.vcproj\
./MSVC8/bin/RunTests.bat\
./MSVC8/pdb_detect/pdb_detect.vcproj\
./MSVC8/BaseIncludes.vsprops\
./MSVC8/HDF5_Defines.vsprops\
./MSVC8/ModernDTPR.vsprops\
./MSVC8/NO_SEC_DEP.vsprops\
./MSVC8/NON_BSD_DEFINES.vsprops\
./MSVC8/silex.vcproj\
./MSVC8/Silo.vcproj\
./MSVC8/SiloWindows.sln\
./include/config.h\
./resources/silex.aps\
./resources/silex.ico\
./resources/silex.rc\
./Makefile.am\
./Makefile\
./runsilexmoc.bat\
./Makefile.in\
./copysilo.bat\
./README\
./MSVC8-BSD/Tests/alltypes.vcproj\
./MSVC8-BSD/Tests/array.vcproj\
./MSVC8-BSD/Tests/array_f.vfproj\
./MSVC8-BSD/Tests/compression.vcproj\
./MSVC8-BSD/Tests/csg.vcproj\
./MSVC8-BSD/Tests/curve_f.vfproj\
./MSVC8-BSD/Tests/dirtest.vcproj\
./MSVC8-BSD/Tests/extface.vcproj\
./MSVC8-BSD/Tests/grab.vcproj\
./MSVC8-BSD/Tests/group_test.vcproj\
./MSVC8-BSD/Tests/largefile.vcproj\
./MSVC8-BSD/Tests/listtypes.vcproj\
./MSVC8-BSD/Tests/mat3d_3across.vcproj\
./MSVC8-BSD/Tests/mat_f.vfproj\
./MSVC8-BSD/Tests/merge_block.vcproj\
./MSVC8-BSD/Tests/mmadjacency.vcproj\
./MSVC8-BSD/Tests/multi_file.vcproj\
./MSVC8-BSD/Tests/multi_test.vcproj\
./MSVC8-BSD/Tests/multispec.vcproj\
