=== debian/changelog ===
silo-llnl (4.8-4) unstable; urgency=low

  * Add dependency on python-all-dev for extensions. Closes: #628820.
  * Check for errors in debian/rules with 'set -e'. Closes: #628818. 
  * Disable python-write test that fails on python2.7. forwrd upstream.
    (note: it appears the code didn't work as planned on 2.6; 
    hence allow as exists rather than disable python2.7).
  * Python2.7 enables HDF5 tests: disable SZIP test, 
     as Debian does not have SZIP for licensing reasons. 
  * Disable HDF5 largefile test (test fails on rounding error using floats) 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Jul 2011 20:14:51 +0100

silo-llnl (4.8-3) unstable; urgency=low

  * Include patch by Nobuhiro Iwamatsu to build on SH4. Closes: #609074. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Apr 2011 09:51:26 +0100

silo-llnl (4.8-2) unstable; urgency=low

  * Patch to allow silo-llnl build with Qt version 4.7.2. Closes: #621781.
  * Use python2 in debian/rules to add python dependencies. Closes: #619535. 
  * Include full copy of BSD license in debian/copyright. Closes: #617912. 
  * debian/rules clean: delete autogenerated log files.
  * Enable testsuite. Fix needed for one test (needs bash)
  * Now at Standards-Version: 3.9.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Apr 2011 21:53:28 +0100

silo-llnl (4.8-1) unstable; urgency=low

  * Correct version number; non-native.
  * Build-conflict with qt3-dev-tools, or else qmake may give an obsolete
    version, and silex won't be built.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Jan 2011 00:03:01 +0000

silo-llnl (4.8) unstable; urgency=low

  * Initial release. (Closes: #599747)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Oct 2010 19:20:40 +0100
