## silo-llnl 4.9.1

=== debian/changelog ===
silo-llnl (4.9.1-3) unstable; urgency=medium

  * Remove unused qt-version.patch
  * Add patch to remove H5*_fapl_mpiposix() calls, no longer present
    in HDF5 1.8.13+
  * Use new HDF5 layout in debian/rules.
  * Update silo.ver version script with 4.9.1 changes.
  * Fix  --with-versioned-symbols patch to activate.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Aug 2014 17:08:11 +0100

silo-llnl (4.9.1-2) unstable; urgency=medium

  * Undo dependencies on python3-*dev until we actually build python3-silo.
    Closes: #751537. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jun 2014 18:33:05 +0100

silo-llnl (4.9.1-1) unstable; urgency=low

  * New upstream release. Closes: #691471.
  * Build against Qt5 rather than Qt4.
  * Now set debhelper dependency to 9. 
  * Set Standards-Version: 3.9.5. No changes required.
  * Patch for typo spotted by Lintian.
  * Now use xz compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 May 2014 22:56:57 +0100

silo-llnl (4.8-13) unstable; urgency=low

  * Enable QT version 4.8.2 as well. Closes: #671614.
  * Pass CPPFLAGS, CFLAGS, LDFLAGS in rules to enable hardening.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Jun 2012 11:46:24 +0100

silo-llnl (4.8-12) unstable; urgency=low

  * Add support for QT version 4.8.1; add build-depends on it.
    Closes: #671614. 
  * Standards-Version: 3.9.3; no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jun 2012 12:45:44 +0100

silo-llnl (4.8-11) unstable; urgency=low

  * ld-as-needed patch not robust. Use new dh_autoreconf --as-needed
      method. Closes: #652224

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Dec 2011 13:50:16 +0000

silo-llnl (4.8-10) unstable; urgency=low

  * Don't delete config.status, it breaks 'make distclean'
    Closes: #642782. 
  * Two fixes to fprintf() needed to compile with -Werror=format-security
  * Disable sh4-build patch as not needed now we do 'autoreconf'. 
    Ditto, update qt-version.patch, add-lib-version.patch not to change
    files now autogenerated.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Oct 2011 11:26:00 +0100

silo-llnl (4.8-9) unstable; urgency=low

  * Rename lib from libsilo0 -> libsiloh5-0 to match soname
    _before_ building visit, etc to depend on it.
  * Build with -Wl,--as-needed to remove unwanted dependencies.
  * Remove unnecessary ${shlibs:Depends} from libsilo-dev 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Sep 2011 07:27:03 +0100

silo-llnl (4.8-8) unstable; urgency=low

  * B-D on libtool too.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Sep 2011 11:19:45 +0100

silo-llnl (4.8-7) unstable; urgency=low

  * Don't trust pdbuilder, even after pbuilder --clean.
  * B-D on autoconf,  automake for autoreconf

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Sep 2011 09:43:46 +0100

silo-llnl (4.8-6) unstable; urgency=low

  * Fixes needed to make autoreconf -fiv work correctly. Closes: #619830. 
  * B-D autoconf-archive to include AX_CHECK_COMPILE_FLAG needed now.
  * Build with mpicc.lam when using LAM. Closes: #639119.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Sep 2011 11:11:02 +0100

silo-llnl (4.8-5) experimental; urgency=low

  * Add Multi-arch support.
  * Add pkgconfig file silo.pc
  * Add versioned symbols. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Aug 2011 02:34:13 +0100
