=== debian/control ===
--- 
+++ 
@@ -2,15 +2,21 @@
 Section: science
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libreadline-dev, libhdf5-mpi-dev | libhdf5-dev, zlib1g-dev, libqt4-dev, gfortran, python-dev, chrpath, python-all-dev, mpi-default-dev
-Build-Conflicts: qt3-dev-tools
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libreadline-dev, libhdf5-mpi-dev | libhdf5-dev, zlib1g-dev, 
+  gfortran, chrpath, python-all-dev, mpi-default-dev, autoconf-archive, autoconf, automake, libtool, 
+  dh-autoreconf (>= 4~),
+  qtbase5-dev
+Build-Conflicts: qt3-dev-tools, qt4-dev-tools
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
+Standards-Version: 3.9.5
 Homepage:  https://wci.llnl.gov/codes/silo
 
 Package: libsilo-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libsilo0 (= ${binary:Version})
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (= ${binary:Version})
 Description: Development files for SILO Scientific I/O library from LLNL
  Silo is a library for reading and writing a wide variety of scientific data to 
  binary, disk files. The files Silo produces and the data within them can be 
@@ -37,9 +43,11 @@
  which are the HDF5 (Hierarchical Data Format 5) and PDB (Portable Data Base) 
  drivers. 
 
-Package: libsilo0
+Package: libsiloh5-0
 Section: libs
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SILO Science I/O library from LLNL
  Silo is a library for reading and writing a wide variety of scientific data to
@@ -58,7 +66,8 @@
 
 Package: libsilo-bin
 Architecture: any
-Depends: libsilo0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
+Depends: libsiloh5-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Utilities to manipulate libsilo files
  This package contains a number of utilities for manipulating and viewing
  Silo files. Silo is a scientific data format library.
@@ -78,7 +87,18 @@
 Section: python
 Architecture: any
 X-Python-Version: all
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsilo0 (=${binary:Version})
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (=${binary:Version})
 Provides: ${python:Provides}
 Description: Python interface to the SILO Scientific I/O library
- This is a python interface to SILO, a scientific I/O library.
+ This is a Python interface to SILO, a scientific I/O library.
+ .
+ Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
+ and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
+ constructive solid geometry (CSG) meshes, piecewise-constant
+ (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
+ defined on the node, edge, face or volume elements of meshes as well as
+ the decomposition of meshes into arbitrary subset hierarchies including
+ materials and mixing materials. In addition, Silo supports a wide variety of
+ other useful objects to address various scientific computing application
+ needs. Although the Silo library is a serial library, it has some key features
+ which enable it to be applied quite effectively and scalable in parallel.
